org.rrd4j.core.jrrd

## Class PDPStatusBlock

- java.lang.Object
- - org.rrd4j.core.jrrd.PDPStatusBlock

-     public class PDPStatusBlock
      extends Object

  Instances of this class model the primary data point status from an RRD file.
  Version:
    $Revision: 1.1 $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) String` | `lastReading`
    `(package private) int` | `unknownSeconds`
    `(package private) double` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDPStatusBlock(RRDFile file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLastReading()` Returns the last reading from the data source.
    `int` | `getUnknownSeconds()` Returns the number of seconds of the current primary data point is unknown data.
    `double` | `getValue()` Returns the current value of the primary data point.
    `String` | `toString()` Returns a summary the contents of this PDP status block.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lastReading

          final String lastReading

    - #### unknownSeconds

          final int unknownSeconds

    - #### value

          final double value

  - ### Constructor Detail

    - #### PDPStatusBlock

          PDPStatusBlock(RRDFile file)

  - ### Method Detail

    - #### getLastReading

          public String getLastReading()

      Returns the last reading from the data source.
      Returns:
        the last reading from the data source.

    - #### getUnknownSeconds

          public int getUnknownSeconds()

      Returns the number of seconds of the current primary data point is unknown data.
      Returns:
        the number of seconds of the current primary data point is unknown data.

    - #### getValue

          public double getValue()

      Returns the current value of the primary data point.
      Returns:
        the current value of the primary data point.

    - #### toString

          public String toString()

      Returns a summary the contents of this PDP status block.
      Overrides:
        `toString` in class `Object`
      Returns:
        a summary of the information contained in this PDP status block.